### Method

# Gtk TreeModelSort convert_path_to_child_path

#### Declaration [src]

    GtkTreePath*
    gtk_tree_model_sort_convert_path_to_child_path (
      GtkTreeModelSort* tree_model_sort,
      GtkTreePath* sorted_path
    )

#### Description [src]

Converts `sorted_path` to a path on the child model of `tree_model_sort`. That is, `sorted_path` points to a location in `tree_model_sort`. The returned path will point to the same location in the model not being sorted. If `sorted_path` does not point to a location in the child model, `NULL` is returned.

#### Parameters

`sorted_path` | `GtkTreePath`
| A `GtkTreePath` to convert.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkTreePath`
| A newly allocated `GtkTreePath`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.